
QGIS Application - Bug report #21650

calculator not returning correct area

2019-03-21 11:33 PM - garret w

Status: Rejected

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:3.4.4 Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29466

Description

while using field calculator to calculate acres from ft (state plane 3435 (ft) > acres). I am not getting expected results. I've tried this on

QGIS 3.4.4, and 2.18.28.

My formula is:

$area * 0.0000229568

I double checked in postgis. This is returning expected numbers:

st_area(geom) * 0.0000229568

History

#1 - 2019-03-21 11:57 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Rejected

They are two totally different calculations - the PostGIS one is the equivalent of QGIS'

area($geometry)*0.0000229568

The other is an ellipsoidal area, calculated using the settings from your project properties.

#2 - 2019-03-22 04:31 PM - garret w

Ah, I see. Thanks!
